/*
 *  GnomeZip
 *  callbacks.h: callbacks for the main window and misc. callbacks
 *
 *  Copyright (C) 2000 Hongli Lai
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2, or (at your option)
 *  any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef _CALLBACKS_H_
#define _CALLBACKS_H_

#include <glib.h>

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

/*********  Please keep function names in alphabetic order!  **********/


void main_app_about_clicked (GtkMenuItem *menuitem, gpointer user_data);
void main_app_close (GtkWidget *widget, gpointer user_data);
void main_app_exit (GnomeApp *app, gpointer user_data);
void main_app_new_win (GnomeApp *app, gpointer user_data);
void main_app_on_destroy (GnomeApp *app, gpointer user_data);
void main_app_status (MainApp *app, const gchar *statusmsg);
void mainapp_clist_button_event (GtkWidget *widget, GdkEventButton *event,
  gpointer user_data);
void mainapp_clist_click_column (GtkWidget *widget, gint column, gpointer gdata);
void mainapp_clist_key_event (GtkWidget *widget, GdkEventKey *event,
  gpointer user_data);
void mainapp_clist_invert_selection (GtkWidget *widget, gpointer user_data);
void mainapp_clist_select_all (GtkWidget *widget, gpointer user_data);
void mainapp_clist_unselect_all (GtkWidget *widget, gpointer user_data);
void mainapp_extract1_clicked (GtkWidget *widget, gpointer user_data);
void mainapp_open1_clicked (GtkWidget *widget, gpointer user_data);


#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif _CALLBACKS_H_