/*
 *  GnomeZip
 *  gnomezip.h: GnomeZip's main window
 *
 *  Copyright (C) 2000 Hongli Lai
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2, or (at your option)
 *  any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef _GNOMEZIP_H_
#define _GNOMEZIP_H_

#include <gtk/gtk.h>
#include <glib.h>
#include <glade/glade-xml.h>
#include <filesel.h>
#include <overwrite-dialog.h>
#include <text-viewer.h>
#include <libgarp/garp-archive.h>

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */


#define MAIN_APP_TYPE            (main_app_get_type ())
#define MAIN_APP(obj)            GTK_CHECK_CAST (obj, main_app_get_type (), MainApp)
#define MAIN_APP_CLASS(klass)    GTK_CHECK_CLASS_CAST ((klass), MAIN_APP_TYPE, MainAppClass)
#define MAIN_IS_APP(obj)         GTK_CHECK_TYPE (obj, MAIN_APP_TYPE)
#define MAIN_IS_APP_CLASS(klass) GTK_CHECK_TYPE ((klass), MAIN_APP_TYPE)

typedef struct _MainApp
{
    GtkObject parent_struct;
    GladeXML *xml_data, *textviewer_xml_data;
    GtkWidget *window;
    OverwriteDialog *overwrite_dialog;
    TextViewer *text_viewer;
    GtkWidget *clist;
    GList *sort_items; /* Contains GtkMenuItems */
    GtkMenu *sort_menu;
    GtkTooltips *tooltips;
    GzFileSel *open_filesel, *extract_filesel;
    GarpArchive *archive;
} MainApp;

typedef struct _MainAppClass
{
    GtkObjectClass parent_klass;
} MainAppClass;


extern GList *winlist;


guint main_app_get_type (void);
MainApp *main_app_new (void);
void main_app_destroy (MainApp *app);


#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif _GNOMEZIP_H_