/*
 *  GnomeZip
 *  misc.h: misc. utility functions for GnomeZip
 *
 *  Copyright (C) 2000 Hongli Lai
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2, or (at your option)
 *  any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef _MISC_H_
#define _MISC_H_

#include <gtk/gtk.h>
#include <glib.h>

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */


void change_menu_pixmap (GtkWidget *awidget, gchar *name, gchar *stock);
gboolean check_file (const gchar *filename);
gchar *g_concat_path (const gchar *filename, gchar *path);
GtkWidget *glade_lookup_widget (GtkWidget *widget, const gchar *widget_name);
gint gtk_clist_get_selected (GtkCList *clist);
GList *gtk_clist_get_selections (GtkCList *clist);
void gtk_widget_run (GtkWidget *widget);
void gz_close_parent_window (GtkWidget *widget, const gchar *parent_window_name);
gchar *gz_get_glade_file (const gchar *filename);


#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif _MISC_H_