/*
 *  GnomeZip
 *  overwrite-dialog.h - Overwrite Dialog
 *
 *  Copyright (c) 2000 Hongli Lai <hongli@telekabel.nl>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2, or (at your option)
 *  any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef _OVERWRITE_DIALOG_H_
#define _OVERWRITE_DIALOG_H_

#include <text-viewer.h>

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */


#define OVERWRITE_DIALOG_TYPE             (overwrite_dialog_get_type ())
#define OVERWRITE_DIALOG(obj)             GTK_CHECK_CAST (obj, OVERWRITE_DIALOG_TYPE, OverwriteDialog)
#define OVERWRITE_DIALOG_CLASS(klass)     GTK_CHECK_CLASS_CAST ((klass), OVERWRITE_DIALOG_TYPE, OverwriteDialogClass)
#define OVERWRITE_IS_DIALOG(obj)          GTK_CHECK_TYPE (obj, OVERWRITE_DIALOG_TYPE)
#define OVERWRITE_IS_DIALOG_CLASS(klass)  GTK_CHECK_TYPE ((klass), OVERWRITE_DIALOG_TYPE)

typedef struct _OverwriteDialog
{
    GtkObject parent_struct;
    GladeXML *xml_data;
    GtkWidget *window;
    GtkWidget *clist;
    TextViewer *text_viewer;
    gchar *extract_to_dir;
} OverwriteDialog;

typedef struct _OverwriteDialogClass
{
    GtkObjectClass parent_klass;
} OverwriteDialogClass;


guint overwrite_dialog_get_type (void);
OverwriteDialog *overwrite_dialog_new (gpointer *app); /* gpointer = MainApp */
void overwrite_dialog_change_selection_mode (GtkButton *button, gpointer user_data);
void overwrite_dialog_destroy (OverwriteDialog *obj);
gboolean overwrite_dialog_on_delete (GtkWidget *widget, gpointer user_data);
gboolean overwrite_dialog_on_destroy (GtkWidget *widget, gpointer user_data);
void overwrite_dialog_view_file (GtkWidget *button, gpointer user_data);


#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif _OVERWRITE_DIALOG_H_
