/*
 *  GnomeZip
 *  text-viewer.c - GnomeZip's internal text viewer
 *
 *  Copyright (c) 2000 Hongli Lai
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2, or (at your option)
 *  any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef _TEXT_VIEWER_H_
#define _TEXT_VIEWER_H_

#include <gtk/gtk.h>
#include <glade/glade-xml.h>

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */


#define TEXT_VIEWER_TYPE             (text_viewer_get_type ())
#define TEXT_VIEWER(obj)             GTK_CHECK_CAST (obj, TEXT_VIEWER_TYPE, TextViewer)
#define TEXT_VIEWER_CLASS(klass)     GTK_CHECK_CLASS_CAST ((klass), TEXT_VIEWER_TYPE, TextViewerClass)
#define TEXT_IS_VIEWER(obj)          GTK_CHECK_TYPE (obj, TEXT_VIEWER_TYPE)
#define TEXT_IS_VIEWER_CLASS(klass)  GTK_CHECK_TYPE ((klass), TEXT_VIEWER_TYPE)

typedef struct _TextViewer
{
    GtkObject parent_struct;
    GladeXML *xml_data;
    gchar *filename;
    GtkWidget *window;
    GtkWidget *less;
} TextViewer;

typedef struct _TextViewerClass
{
    GtkObjectClass parent_klass;
} TextViewerClass;


guint text_viewer_get_type (void);
TextViewer *text_viewer_new (GladeXML *xml_data);
void text_viewer_copy_text (GtkWidget *widget, gpointer user_data);
void text_viewer_destroy (TextViewer *obj);
void text_viewer_on_about (GtkWidget *widget);
gboolean text_viewer_on_delete (GtkWidget *widget, gpointer user_data);
void text_viewer_open_file (TextViewer *tv, const gchar *filename);
void text_viewer_open_with_command (GtkWidget *widget, const gchar *command,
  gboolean terminal);
void text_viewer_save (GtkWidget *widget, gpointer gdata);


#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif _TEXT_VIEWER_H_
